Create a Metric Instance
post
/api/metric/Instances
Creates a metric instance.
The minimum required properties in the request body are:
The minimum required properties in the request body are:
- InstanceName
- InstanceTypeID
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
DeviceName: string
The serialized device name. It can be the device name with the zone appended to the end or just the device name.
If you include the zone here, do not specify the DeviceZoneName or DeviceZoneID parameters.Example:router.example.com;z1 OR router.example.com -
DeviceZoneID: string
The zone ID of the device associated with the metric instance. Used in combination with DeviceZoneName. Do not specify this if you used a serialized device name in DeviceName.Example:
1 -
DeviceZoneName: string
The name of the device zone, if it is not appended to DeviceName. Deprecated. Use a serialized device name instead.Example:
Default First Zone -
InstanceName: string
The metric instance name.
To avoid confusion with numeric IDs, the name value cannot be integers only or integers prefixed with the + or - symbols only. It must contain letters or other characters. For example, 1234, +1234, and -1234 are not valid, but US1234, US+1234 and US_1234 are.Example:Example_Instance -
InstanceTypeID: integer
Instance Type IDExample:
2
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Match All
Show Source
-
object
SuccessfulAddOperation
The response body for a successful add operation.
-
object
type
Nested Schema : SuccessfulAddOperation
Type:
objectThe response body for a successful add operation.
Show Source
-
message: string
The response message.Example:
Added record -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
true
Nested Schema : type
Type:
Show Source
object-
data: array
data
-
total: integer
The total number of results regardless of paging.Example:
1
Nested Schema : metricInstancesRead
Type:
Show Source
object-
DeviceID: integer
The ID of the device associated with the metric instance.Example:
1281 -
DeviceName: string
The name of the device associated with the metric instance.Example:
router.example.com -
DeviceZoneID: string
The zone ID of the device associated with the metric instance.Example:
1 -
DeviceZoneName: string
The zone name of the device associated with the metric instance.Example:
Default First Zone -
InstanceID: integer
The metric instance ID.Example:
235035 -
InstanceName: string
The metric instance name.Example:
Example_Instance -
InstanceType: string
The metric instance type.Example:
SNMP Custom -
InstanceTypeID: integer
The ID of the metric instance type.Example:
2
Default Response
Failed operation
Root Schema : schema
Type:
Show Source
object-
errors: array
errors
The list of errors reported. Validation errors will be keyed by record field.
-
message: string
The response message.Example:
Exception thrown -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
false
Nested Schema : errors
Type:
arrayThe list of errors reported. Validation errors will be keyed by record field.
Show Source
-
Array of:
object items
An error.
Nested Schema : items
Type:
objectAn error.